commit:     1d9c9c643ad2a302cac7fea96bd7521e6b366b1a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  7 10:09:27 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul  7 11:32:29 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d9c9c64

dev-ruby/git: fix tests

Ensure the right version of process_executer is used.

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/git/git-3.1.1.ebuild | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dev-ruby/git/git-3.1.1.ebuild b/dev-ruby/git/git-3.1.1.ebuild
index 6a99ee536cb9..d9a5c44d0881 100644
--- a/dev-ruby/git/git-3.1.1.ebuild
+++ b/dev-ruby/git/git-3.1.1.ebuild
@@ -35,6 +35,9 @@ ruby_add_rdepend "
 ruby_add_bdepend "test? ( dev-ruby/bundler dev-ruby/minitar:1 
>=dev-ruby/mocha-2.1:2 dev-ruby/test-unit:2 )"
 
 all_ruby_prepare() {
+       sed -e '2igem "process_executer", "~> 1.0"' \
+               -i tests/test_helper.rb || die
+
        # Don't use hardcoded /tmp directory.
        sed -i -e "s:/tmp:${TMPDIR}:" tests/units/test_archive.rb 
tests/test_helper.rb || die
 

Reply via email to